SDL_PlayHapticRumble(3)

NAME
SDL_PlayHapticRumble - Run a simple rumble effect on a haptic device.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

bool SDL_PlayHapticRumble(SDL_Haptic *haptic, float strength, Uint32 length);

FUNCTION PARAMETERS

haptic
    the haptic device to play the rumble effect on.

strength
    strength of the rumble to play as a 0-1 float value.

length
    length of the rumble to play in milliseconds.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_InitHapticRumble(3), SDL_StopHapticRumble(3)